<?xml version="1.0" encoding="UTF-8"?>

<ROOT xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance' xsi:noNamespaceSchemaLocation='http://www.oneit.com.au/schemas/5.2/BusinessObject.xsd'>

    <BUSINESSCLASS  name="DiversityQuestion"    package="performa.orm">
                
        <MULTIPLEREFERENCE  name="Answers"  type="DiversityAnswer"  backreferenceName="Question" />

        <TABLE  name="tl_diversity_question"    tablePrefix="object"    polymorphic="FALSE">
            
            <ATTRIB name="Code"             type="String"   dbcol="question_code"       mandatory="true"/>
            <ATTRIB name="QuestionText"     type="String"   dbcol="question_text"       mandatory="true"/>
            <ATTRIB name="AustraliaOnly"    type="Boolean"  dbcol="australia_only"      defaultValue="Boolean.FALSE" />
            <ATTRIB name="MultipleAnswers"  type="Boolean"  dbcol="multiple_answers"    defaultValue="Boolean.FALSE" />

        </TABLE>
        
        <SEARCH type="All"  paramFilter="tl_diversity_question.object_id is not null"   orderBy="tl_diversity_question.object_id"   />
            
    </BUSINESSCLASS>
    
</ROOT>